<p align="center">
    <img src="https://github-production-user-asset-6210df.s3.amazonaws.com/65544983/284810651-4625cf57-077d-4a79-b47f-9b989e27e41b.png" alt="XhiveFramework Education Logo" width="220px" height="30px">
    <p align="center">Open Source, Easy to Use, Education management system.</p>
</p>
<p align="center">
    <a href="https://docs.xhiveerp.com/docs/v14/user/manual/en/education">
        Documentation
    </a>
</p>

XhiveFramework Education is an open-source and user-friendly Education Management System designed to streamline the administrative and academic processes of educational institutions. It is a powerful module based on the XhiveERP software.

XhiveFramework Education is dedicated to making education management more efficient and less time-consuming. The module offers a range of features that cater to the needs of educators and administrators, facilitating a more organized and effective learning environment.

<img width="1200" alt="Screenshot 2023-11-22 at 11 42 46 AM" src="https://github.com/xhiveframework/education/assets/65544983/11524744-de95-4b4a-8cb9-55479ae7aa60">


## Table of Contents

- [Key Features](#key-features)
- [Installation](#installation)
- [Deployment](#deployment)
- [Contribution & Community](#contributions--community)
- [Links](#links)
- [License](#license)

## Key Features

Here are some of the standout features of the XhiveFramework Education module:

- **Student Admission**: Streamline the admission process for new students. 🎓
- **Program Enrollment**: Manage and keep track of student enrollments in various programs. 📋
- **Guardian, Student & Sibling Management**: Maintain comprehensive profiles for students, guardians, and siblings. 👨‍👩‍👧‍👦
- **Fee Structure and Scheduling**: Organize and manage the fee structure and schedule payments. 💰
- **Course Scheduling**: Efficiently schedule courses and manage course calendars. 🗓️
- **Attendance Management**: Track and manage student attendance records. ✔️
- **Assessment Planning & Results**: Plan assessments and manage results effectively. 📝
- **Reports**: Generate various reports including final grades, course-wise assessment, student absent report, attendance report, and fee collection. 📊


## Installation
1. [Install bench on your local machine](https://github.com/xhiveframework/bench#installation)
2. [Install XhiveERP](https://github.com/xhiveframework/xhiveerp#installation)
3. Once XhiveERP is installed, install the Education App by using:
    
    ```jsx
    $ bench get-app education
    ```
    
4. After that, you can install the Education app on the required site by running
    
    ```jsx
    $ bench --site sitename install-app education
    ```

## Deployment

XhiveFramework Education is an app built on top of the XhiveFramework Framework & XhiveERP. 

**Managed Hosting**

XhiveFramework Education can be deployed in few clicks by using [XhiveFramework Cloud](https://xhiveframeworkcloud.com/marketplace/apps/education).

**Self Hosting**

You can self host the module by following [XhiveFramework Bench Installation Instructions](https://github.com/xhiveframework/bench#installation).

## Contributions & Community

1. If you find any bugs while using the app or have a feature request for the app, you can report/add them here [Github Issues](https://github.com/xhiveframework/education/issues). Make sure to add proper information and screenshots. 
2. Follow the [Contribution Guidelines](https://github.com/xhiveframework/xhiveerp/wiki/Issue-Guidelines) & [Issue Guidelines](https://github.com/xhiveframework/xhiveerp/wiki/Issue-Guidelines) - [create an issue](https://github.com/xhiveframework/education/issues/new).

## Links

1. **[Telegram Group](https://t.me/+DcKb53WLxTw2OGM1)** - Join our Telegram group to connect with us where can discuss everything regarding the Education Module. Feel free to share ideas and issues you face while using the Education Module.
2. **[Documentation](https://docs.xhiveerp.com/docs/v14/user/manual/en/education)** - This link will take you to our comprehensive documentation, where you can find all the information you need to understand and use the Education Module effectively. It includes all the workflows, masters and DocTypes which currently Exists


## License

GNU GPL V3. See [license.txt](https://github.com/xhiveframework/agriculture/blob/develop/license.txt) for more information.
