import xhiveframework
from xhiveframework import _


class StudentNotInGroupError(xhiveframework.ValidationError):
	pass


def validate_student_belongs_to_group(student, student_group):
	groups = xhiveframework.db.get_all(
		"Student Group Student", ["parent"], dict(student=student, active=1)
	)
	if not student_group in [d.parent for d in groups]:
		xhiveframework.throw(
			_("Student {0} does not belong to group {1}").format(
				xhiveframework.bold(student), xhiveframework.bold(student_group)
			),
			StudentNotInGroupError,
		)
