# Copyright (c) 2015, Xhive
// For license information, please see license.txt

xhiveframework.ui.form.on("Student Applicant", {

	refresh: function(frm) {
		frm.set_query('academic_term', function(doc, cdt, cdn) {
			return{
				filters: {
					'academic_year': frm.doc.academic_year
				}
			};
		});

		if (!frm.is_new() && frm.doc.application_status==="Applied") {
			frm.add_custom_button(__("Approve"), function() {
				frm.set_value("application_status", "Approved");
				frm.save_or_update();

			}, 'Actions');

			frm.add_custom_button(__("Reject"), function() {
				frm.set_value("application_status", "Rejected");
				frm.save_or_update();
			}, 'Actions');
		}

		if (!frm.is_new() && frm.doc.application_status === "Approved") {
			frm.add_custom_button(__("Enroll"), function() {
				frm.events.enroll(frm)
			});

			frm.add_custom_button(__("Reject"), function() {
				frm.set_value("application_status", "Rejected");
				frm.save_or_update();
			}, 'Actions');
		}

		if (!frm.is_new() && frm.doc.application_status === "Rejected") {
			frm.add_custom_button(__("Approve"), function() {
				frm.set_value("application_status", "Approved");
				frm.save_or_update();
			}, 'Actions');
		}

		xhiveframework.realtime.on("enroll_student_progress", function(data) {
			if(data.progress) {
				xhiveframework.hide_msgprint(true);
				xhiveframework.show_progress(__("Enrolling student"), data.progress[0],data.progress[1]);
			}
		});

		xhiveframework.db.get_value("Education Settings", {name: "Education Settings"}, "user_creation_skip", (r) => {
			if (cint(r.user_creation_skip) !== 1) {
				frm.set_df_property("student_email_id", "reqd", 1);
			}
		});
	},

	enroll: function(frm) {
		xhiveframework.model.open_mapped_doc({
			method: "education.education.api.enroll_student",
			frm: frm
		})
	}
});
